Bug 707354 - RFE: Support for yum-plugin-remove-with-leaves
Summary: RFE: Support for yum-plugin-remove-with-leaves
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex
Version: rawhide
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-24 19:39 UTC by Raphael Groner
Modified: 2012-12-20 15:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 15:40:36 UTC


Attachments (Terms of Use)

Description Raphael Groner 2011-05-24 19:39:47 UTC
Description of problem:
FEATURE REQUEST :)
Please add support for yum-plugin-remove-with-leaves

Version-Release number of selected component (if applicable):
-

How reproducible:
-

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Leaves will remain untouched if a package with dependencies is removed.

Expected results:
Leaves can be removed as well, optionally.

Additional info:
Maybe add another checkbox "Remove leaves" to the menu for usage of the command
 yum remove --remove-leaves <packages>
instead of
 yum remove <packages>

Comment 1 Tim Lauridsen 2012-06-06 14:13:50 UTC
Sound like this could be a useful feature :)

I will look into it in a future version of yumex

Comment 2 Fedora Update System 2012-10-03 14:50:01 UTC
yumex-3.0.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/yumex-3.0.9-1.fc18

Comment 3 Fedora Update System 2012-10-03 14:50:35 UTC
yumex-3.0.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/yumex-3.0.9-1.fc17

Comment 4 Fedora Update System 2012-10-03 17:05:26 UTC
Package yumex-3.0.9-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yumex-3.0.9-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15300/yumex-3.0.9-1.fc18
then log in and leave karma (feedback).

Comment 5 Raphael Groner 2012-10-04 07:56:49 UTC
Thanks, I'll look at it when the Beta is released.

Comment 6 Fedora Update System 2012-12-20 15:40:38 UTC
yumex-3.0.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.